# Search for library matches for source files at application level

Returns library match suggestions from Mend based on manual search criteria. Uses V3 MQL search format. Available search filters: date:between:date1,date2 (e.g., between:2019-05-01,2019-06-01), license:[like|regex]:value, name:[like|equals|regex]:value, owner:like:value, version:like:value. Example: ?search=name==openssl.

Endpoint: GET /api/v3.0/applications/{applicationUuid}/dependencies/sourceFiles/searchForMatch
Version: 3.0
Security: bearer-key

## Path parameters:

  - `applicationUuid` (string, required)
    Application UUID (Administration > Applications)

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `response` (array)

  - `response.uuid` (string)
    Unique identifier of the library. Only available in searchForMatch endpoint.
    Example: "b366b0ef-b211-4c37-a47c-0077e4de709f"

  - `response.name` (string)
    Name of the library
    Example: "openssl"

  - `response.sha1` (string)
    SHA-1 hash of the library
    Example: "49f6cb968ff63793f6671d9026fb2a7034dad79a"

  - `response.licenses` (array)
    Collection of licenses associated with this library

  - `response.licenses.name` (string, required)
    Example: "MIT"

  - `response.licenses.severity` (string)
    Example: "High"

  - `response.version` (string)
    Version of the library
    Example: "OpenSSL_1_0_1"

  - `response.owner` (string)
    Owner/organization of the library
    Example: "openssl"

  - `response.url` (string)
    URL to the library source
    Example: "https://github.com/openssl/openssl.git"

  - `response.date` (string)
    Release date of the library
    Example: "2012-03-14T12:39:00Z"

  - `response.nonOfficialRelease` (boolean)
    Indicates whether this is a non-official release

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


